Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 17431 - Allowed dependencies documentation (API developer guide)
Allowed dependencies documentation (API developer guide)
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Documentation
3.x
PC Linux
: P4 (vote)
: 3.x
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks: 19443
  Show dependency treegraph
 
Reported: 2001-11-08 16:37 UTC by _ pkuzel
Modified: 2008-12-22 17:47 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ pkuzel 2001-11-08 16:37:35 UTC
I lack a documentation of allowed dependencies. For example I did not know that
openide.util.Utilities cannot use any other OpenIDE API (in spite of that it
uses it).
I would call it OpenIDE API Developer's Guide. Currently documentation form just
OpenIDE API users (they are developers) guide.
Comment 1 Jesse Glick 2001-11-08 18:02:31 UTC
True. Actually for this specific case, what is really needed is a test
suite for openide that checks that there are not illegal cross-API
dependencies. Then you would not have to remember, you would be
reminded by test failures.
Comment 2 Jan Chalupa 2001-11-27 13:04:33 UTC
Target milestone -> 3.3.1.
Comment 3 Jesse Glick 2002-02-06 12:03:31 UTC
See new test suite in openide:

ant -f openide/test/stdalone-build.xml

Currently fails.

For now, no written guide (I'm not sure the exact breakdown is really
decided yet anyway), but the build script and the tests are intended
to let you know if you mess it up; i.e. at some point it will be
possible for continuous automated tests to catch errors.

In directory openide:
committed   * Up-To-Date  1.14        openide/.cvsignore
committed   * Up-To-Date  1.83        openide/build.xml
In directory openide/test:
added       * Up-To-Date  1.1         openide/test/cfg-stdalone.xml
added       * Up-To-Date  1.1         openide/test/stdalone-build.xml
In directory openide/test/stdalone:
In directory openide/test/stdalone/src:
In directory openide/test/stdalone/src/org:
In directory openide/test/stdalone/src/org/openide:
In directory openide/test/stdalone/src/org/openide/stdalonetest:
added       * Up-To-Date  1.1        
openide/test/stdalone/src/org/openide/stdalonetest/TestClassResolution.java
added       * Up-To-Date  1.1        
openide/test/stdalone/src/org/openide/stdalonetest/TestDisjointJARContents.java
added       * Up-To-Date  1.1        
openide/test/stdalone/src/org/openide/stdalonetest/TestInfraHid.java
In directory openide/test/stdalone/src/org/openide/stdalonetest/data:
added       * Up-To-Date  1.1        
openide/test/stdalone/src/org/openide/stdalonetest/data/.cvsignore
Comment 4 Quality Engineering 2003-07-01 15:50:07 UTC
Resolved for 3.4.x or earlier, no new info since then -> verified
Comment 5 Quality Engineering 2003-07-01 16:25:40 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo